using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using GxPress.Common.Page;
using GxPress.Entity;
using GxPress.Request.Sell;
using GxPress.Result.sell;
using Datory;

namespace GxPress.Repository.Interface
{
    public interface ISellRepository:IRepository
    {
        Task<bool> InsertAsync(IEnumerable<Sell> sells);
        Task<PagedList<Sell>> GetPageListAsync(PageParameter request);

        Task<SellResult> GetSellChartAsync(SellRequest request);
    }
}
